<template>
  <v-list-item class="data-entry">
    <v-list-item-title class="d-flex">
      <div class="label">{{label}}:</div>
      <v-spacer />
      <slot :value='value'>
        <span
          class="value"
          v-if="!value"
        >-</span>
        <v-tooltip
          v-else
          bottom="bottom"
        ><template v-slot:activator="{ on }"><span
              class="value"
              v-on="on"
              @dblclick="copy"
            >{{value}}</span></template><span>Double click to copy</span></v-tooltip>
      </slot>
    </v-list-item-title>
  </v-list-item>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  name: 'DataEntry',
  props: {
    label: { type: String, default: 'label' },
    value: { type: [String, Object, Number, Array], default: null }
  },
  methods: {
    copy () {
      navigator.clipboard.writeText(this.value)
    }
  }
})
</script>

<style lang="scss">
.data-entry span.value {
  cursor: pointer;
  user-select: none;
}
</style>
